Skip to main content
GET
/
v1
/
campaigns
/
{id}
curl https://api.sendpilot.ai/v1/campaigns/clxxx123456 \
  -H "X-API-Key: YOUR_API_KEY"
const response = await fetch('https://api.sendpilot.ai/v1/campaigns/clxxx123456', {
  headers: {
    'X-API-Key': process.env.SENDPILOT_API_KEY
  }
});
const campaign = await response.json();
import requests

response = requests.get(
    'https://api.sendpilot.ai/v1/campaigns/clxxx123456',
    headers={'X-API-Key': 'YOUR_API_KEY'}
)
campaign = response.json()
{
  "id": "clxxx123456",
  "name": "Q1 Tech Founders Outreach",
  "status": "started",
  "type": "regular",
  "totalLeads": 150,
  "connectionsSent": 120,
  "messagesSent": 85,
  "repliesReceived": 15,
  "linkedInSenderIds": ["sender_abc123", "sender_def456"],
  "createdAt": "2024-02-20T10:00:00.000Z",
  "updatedAt": "2024-02-24T15:30:00.000Z"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "code": "CAMPAIGN_NOT_FOUND",
  "message": "Campaign with ID 'clxxx123456' not found in this workspace"
}

Request

X-API-Key
string
required
Your API key
id
string
required
The campaign ID

Response

id
string
Unique campaign identifier
name
string
Campaign name
status
string
Current campaign status: started, paused, draft, finished
type
string
Campaign type (e.g., regular)
totalLeads
integer
Total number of leads in the campaign
connectionsSent
integer
Number of connection requests sent
messagesSent
integer
Number of messages sent
repliesReceived
integer
Number of replies received
linkedInSenderIds
array
Array of LinkedIn sender IDs associated with this campaign
createdAt
string
ISO 8601 timestamp of when the campaign was created
updatedAt
string
ISO 8601 timestamp of when the campaign was last updated
curl https://api.sendpilot.ai/v1/campaigns/clxxx123456 \
  -H "X-API-Key: YOUR_API_KEY"
const response = await fetch('https://api.sendpilot.ai/v1/campaigns/clxxx123456', {
  headers: {
    'X-API-Key': process.env.SENDPILOT_API_KEY
  }
});
const campaign = await response.json();
import requests

response = requests.get(
    'https://api.sendpilot.ai/v1/campaigns/clxxx123456',
    headers={'X-API-Key': 'YOUR_API_KEY'}
)
campaign = response.json()
{
  "id": "clxxx123456",
  "name": "Q1 Tech Founders Outreach",
  "status": "started",
  "type": "regular",
  "totalLeads": 150,
  "connectionsSent": 120,
  "messagesSent": 85,
  "repliesReceived": 15,
  "linkedInSenderIds": ["sender_abc123", "sender_def456"],
  "createdAt": "2024-02-20T10:00:00.000Z",
  "updatedAt": "2024-02-24T15:30:00.000Z"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "code": "CAMPAIGN_NOT_FOUND",
  "message": "Campaign with ID 'clxxx123456' not found in this workspace"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Campaign ID

Response

Campaign details

id
string
required
name
string
required
status
enum<string>
required
Available options:
started,
paused,
draft,
finished
totalLeads
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
connectionsSent
integer
messagesSent
integer
repliesReceived
integer
description
string | null
type
string
linkedInSenderIds
string[]